DELETE /admin/securityprofiles/{id}
DELETE https://example.com/admin/securityprofiles/{id}
Description
Deletes a specific security profile based on a given ID.
Examples
The following sample deletes the security profile with the given ID 2.
# Request:
curl DELETE 'https://trial.dsserver.io/admin/securityprofiles/2' \
'Authorization: Basic YWRtaW46YWRtaW5hZG1pbg=='
Authorization
This endpoint supports the Basic authorization method:
Basic
| Header field | Description |
|---|---|
| Authorization | The username "admin" and your admin password are combined into a string separated by a colon, e.g.: admin:password. The resulting string is encoded using the RFC2045-MIME variant of Base64, except not limited to 76 char/line. The authorization method and a space i.e. "Basic " is then put before the encoded string. For example: Authorization: Basic QWxhZGRpbjpPcGVuU2VzYW1l |
Success Response
| Status | Description |
|---|---|
| 200 | On success, the HTTP status code in the response header is 200 (OK). |
Error Response
| Status | Description |
|---|---|
| 401 | A 401 (Unauthorized) is returned, if the user is not authorized. |
| 404 | A 404 (Not Found) with an empty body is returned, if the given ID doesn't match an existing security profile. |